﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGrid_Test_KeyActionMapping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            UltraGrid Grid = ultraGrid1;
            GridKeyActionMapping newKam;

            // remove the KeyActionMappings for Keys.Enter
            for (int i = 0 ; i< Grid.KeyActionMappings.Count; i++)
            {
                Infragistics.Win.UltraWinGrid.GridKeyActionMapping ogKam = Grid.KeyActionMappings[i];

                if (ogKam.KeyCode == Keys.Enter)
                {
                    Grid.KeyActionMappings.Remove(ogKam);
                }
            } 


            foreach (Infragistics.Win.UltraWinGrid.GridKeyActionMapping ogKam in Grid.KeyActionMappings)
                if (ogKam.KeyCode == Keys.Tab)
                {
                    newKam = new Infragistics.Win.UltraWinGrid.GridKeyActionMapping(Keys.Enter, ogKam.ActionCode, ogKam.StateDisallowed, ogKam.StateRequired, ogKam.SpecialKeysDisallowed, ogKam.SpecialKeysRequired);
                    Grid.KeyActionMappings.Add(newKam);
                }
        }
    }
}
